POST/authtoken

Authentication

This endpoint authenticates the validity of a username and password combination. A valid token will be generated if the authentication is successful. Use the username and password provided to you in your RatesAPI packet.
POST/authtoken

Mandatory Fields

  • username
  • password

Bearer Token Authentication

The access token must be appended to the 'Authorization Header' as depicted in the example below:

Authorization: Bearer A90324XXZUZUgpO0dd6npHcM83CJ...

Parameters

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccessful retrieval of user information.
400Bad RequestInvalid grant type.None
401UnauthorizedAuthentication failed or account validity expired.None
500Internal Server ErrorInternal server error.None

Code Samples

# You can also use wget
curl -X POST /authtoken \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "username": "string",
  "password": "string"
}

Example responses

200 Response
{
  "access_token": "string",
  "token_type": "string",
  "expires_in": 0,
  "userName": "string",
  ".issued": "string",
  ".expires": "string"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.